tpm_sealdata(3)

TPM Management - tpmUnsealFile, tpmUnsealShred, tpmUnsealStrerror

NAME
tpmUnsealFile, tpmUnsealShred, tpmUnsealStrerror - unseal routines

SYNOPSIS
#include <tpm_unseal/tpm_unseal.h>

int tpmUnsealFile(char* file, char** data, int* size);
void tpmUnsealShred(char* data, int size);
char* tpmUnsealStrerror(int rc);

DESCRIPTION

The functions in the tpmUnseal family allow access to a piece of sensitive data that has been sealed to the TPM configuration of a given system if the conditions are right, that is the SRK has not changed and the PCRS (if any) specified at seal time are of the appropriate value.

The tpmUnsealFile function returns the contents of the file unsealed in the data buffer. The memory at *data must be freed by the caller.

The tpmUnsealShred function will zero and free the memory.

The tpmUnsealStrerror function will convert the return code from tpmUnsealFile into a human comprehensible string using and internal errno variable.

Return Value
The tpmUnsealFile function returns 0 on success and a negative number on error. The tpmUnsealStrerror function returns the error string on success and the empty string on an error.

SEE ALSO

tpm_sealdata(1)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>